首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  Ubuntu

谁用 Ubuntu 18.04 的吗?帮忙提取个文件。

  •  
  •   skiy · 6 天前 · 1635 次点击

    U18.04 昨天重装了,卡到爆炸。不知道是什么原因。所以我重装了 U19.04 。 结果现在安装 PHP 环境死活安装不上,缺少太多依赖了。

    网上看有几个依赖说可以直接用 U18.04 的。 现在需要个文件 icu-config ,说是在 /usr/bin 里面。 有谁在用 U18.04 的吗?,帮提取一下呗。

    21 回复  |  直到 2019-06-12 21:59:11 +08:00
        1
    EvilCult   6 天前
    18.04.2 LTS 在 /usr/bin 里没发现这个文件.....

    用 Docker 不好么?
        2
    kakudesu   6 天前
    没有这个文件啊
        3
    skiy   6 天前
    @kakudesu @EvilCult 谢谢两位了。没有那就算了。因为有个 freetype-config 就是这样整的,所以我以为这个 icu-config 也这样弄就行了唉。。。

    Docker 不是说不行,是不习惯用 docker 了。要不早就在 WIN 下开发了。真是折腾唉。
        4
    fengxianqi   6 天前
    我这边也没发现这个文件
        5
    ProjectSky   6 天前 via Android
    sudo apt install libicu-dev
        6
    skiy   6 天前
    @ProjectSky 都试过的了,网上的教程都没用。icu 是安装成功的了,但是还是报这个错误
        7
    skiy   6 天前
    看英文我知道是 Debian 的问题,但 PHP 那边也有提醒了:
    https://bugs.php.net/bug.php?id=77241
        8
    poisedflw   6 天前
    aHR0cHM6Ly9wYW4uYmFpZHUuY29tL3MvMUNHeUVTSXZwZFFKX0tPeTY0QTJpWncgICAgICAgIGd5aGE=

    我的 18.04 LTS 有。
        9
    skiy   6 天前
    @poisedflw 方便传个二进制文件给我么?
        10
    runtu2019   6 天前
    既然安装了 icu,你用 find 搜索一下机器试试,用 ln 链接过去试试
        11
    poisedflw   6 天前
    @skiy 我上面的地址百度网盘分享啦,base64
        12
    skiy   6 天前
    @poisedflw 终于可以了,非常感谢。

    唉,就一个小小的 20K 文件,百度网盘下载都要安装网盘,LINUX 下又没有安装包。。。还好有个油猴。
        13
    intouchables   6 天前
    @skiy #12 百度网盘 linux 下载可以用这个 https://github.com/iikira/BaiduPCS-Go
        14
    msg7086   6 天前
        15
    msg7086   6 天前
    而且这是要编译什么东西……?
        16
    skiy   6 天前
    @intouchables 我知道这个,我也有用。不过小文件没必要用而已,小心被封号。
        17
    skiy   6 天前
    @msg7086 PHP ICU 是装上的了,但是 icu-config 没有而已。不懂它机制如何。现在还在折腾 MYSQL。
        18
    diggerdu   6 天前 via iPhone
    这种情况就直接从源里面下 deb 解压出来
        19
    ProjectSky   6 天前 via Android
    @skiy 我装了直接就有了,不过既然已经装了,用 which icu-config 找一下位置不就行了
        20
    skiy   6 天前
    @ProjectSky 肯定是 witch 找过了才发帖的啊。这些都是基础。自己动手+谷歌 过找不到答案才发帖的。
    你用过 Ubuntu 19.04 就懂了,都有人给 php 团队提 BUG 的 PR 了,php-src 也接了人家的 pr 了。是高版本的 debian 移除了 icu-config, 用 pkg-config 来代替了。
        21
    msg7086   6 天前
    @skiy 你看我贴的链接是 cosmic 的,下载打开自己提取一下就行了嘛。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1374 人在线   最高记录 5043   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 20ms · UTC 17:17 · PVG 01:17 · LAX 10:17 · JFK 13:17
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1